
package sparselu.files;

import integratedtoolkit.types.annotations.Constraints;
import integratedtoolkit.types.annotations.Method;
import integratedtoolkit.types.annotations.Parameter;
import integratedtoolkit.types.annotations.Parameter.Direction;
import integratedtoolkit.types.annotations.Parameter.Type;


public interface SparseLUItf {

	@Method(declaringClass = "sparselu.files.SparseLUImpl")
	void lu0(
		@Parameter(type = Type.FILE, direction = Direction.INOUT)
		String diag
	);
	
	@Method(declaringClass = "sparselu.files.SparseLUImpl")
    void bdiv(
    	@Parameter(type = Type.FILE)
    	String diag,
    	@Parameter(type = Type.FILE, direction = Direction.INOUT)
    	String row
    );

	@Method(declaringClass = "sparselu.files.SparseLUImpl")
    void bmod(
    	@Parameter(type = Type.FILE)
    	String row,
    	@Parameter(type = Type.FILE)
    	String col,
    	@Parameter(type = Type.FILE, direction = Direction.INOUT)
    	String inner
    );
	
	@Method(declaringClass = "sparselu.files.SparseLUImpl")
    void fwd(
    	@Parameter(type = Type.FILE)
		String a,
		@Parameter(type = Type.FILE, direction = Direction.INOUT)
		String b
	);

}
