
package sparselu.objects;

import integratedtoolkit.types.annotations.Method;
import integratedtoolkit.types.annotations.Parameter;
import integratedtoolkit.types.annotations.Parameter.Direction;
import integratedtoolkit.types.annotations.Parameter.Type;


public interface SparseLUItf {

	@Method(declaringClass = "sparselu.objects.Block")
    void lu0();

    @Method(declaringClass = "sparselu.objects.Block")
    void bdiv(
	    @Parameter
	    Block diag
    );

    @Method(declaringClass = "sparselu.objects.Block")
    void bmod(
	    @Parameter
	    Block row,
	    @Parameter
	    Block col
    );

    @Method(declaringClass = "sparselu.objects.Block")
    void fwd(
		@Parameter
        Block diag
    );

    @Method(declaringClass = "sparselu.objects.Block")
    Block bmodAlloc(
    	@Parameter
    	Block row,
    	@Parameter
    	Block col
     );
    
    @Method(declaringClass = "sparselu.objects.Block")
    Block initBlock(
    	@Parameter
    	int i,
    	@Parameter
    	int j,
    	@Parameter
    	int N,
    	@Parameter
    	int M
	);
	
}
